Bug 1413551 - when user does a volume start force from UI brick status is shown as UP even if the bricks are not actually up
Summary: when user does a volume start force from UI brick status is shown as UP even ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kaustav Majumder
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 11:40 UTC by RamaKasturi
Modified: 2020-06-26 16:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:47:01 UTC
oVirt Team: Gluster
pm-rhel: ovirt-4.5?
sabose: planning_ack?
sabose: devel_ack?
sabose: testing_ack?


Attachments (Terms of Use)
screenshot for brick status (180.00 KB, image/png)
2017-01-16 11:41 UTC, RamaKasturi
no flags Details

Description RamaKasturi 2017-01-16 11:40:11 UTC
Description of problem:
when user does a volume start force from UI brick status is shown as 'UP' even if the bricks are not actually started from CLI.

gluster volume status output:
====================================
[root@rhsqa-grafton4 ~]# gluster volume status data
Status of volume: data
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick 10.70.36.82:/rhgs/brick2/data         N/A       N/A        N       N/A  
Brick 10.70.36.83:/rhgs/brick2/data         49155     0          Y       13409
Brick 10.70.36.84:/rhgs/brick2/data         49155     0          Y       3848 
Self-heal Daemon on localhost               N/A       N/A        Y       31197
Self-heal Daemon on 10.70.36.84             N/A       N/A        Y       2162 
Self-heal Daemon on 10.70.36.83             N/A       N/A        Y       7983 
 
Task Status of Volume data
------------------------------------------------------------------------------
There are no active volume tasks

Attached the screenshot for volume and brick status from UI.

Output from gluster volume status data --xml output:
==============================================
[root@rhsqa-grafton4 ~]# gluster volume status data --xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput>
  <opRet>0</opRet>
  <opErrno>0</opErrno>
  <opErrstr/>
  <volStatus>
    <volumes>
      <volume>
        <volName>data</volName>
        <nodeCount>6</nodeCount>
        <node>
          <hostname>10.70.36.82</hostname>
          <path>/rhgs/brick2/data</path>
          <peerid>9ce4ed5f-1481-4207-a0fc-241d21c4c420</peerid>
          <status>0</status>
          <port>N/A</port>
          <ports>
            <tcp>N/A</tcp>
            <rdma>N/A</rdma>
          </ports>
          <pid>-1</pid>
        </node>
        <node>
          <hostname>10.70.36.83</hostname>
          <path>/rhgs/brick2/data</path>
          <peerid>c17e556a-8daa-49fd-8326-b33fc587f177</peerid>
          <status>1</status>
          <port>49155</port>
          <ports>
            <tcp>49155</tcp>
            <rdma>N/A</rdma>
          </ports>
          <pid>13409</pid>
        </node>
        <node>
          <hostname>10.70.36.84</hostname>
          <path>/rhgs/brick2/data</path>
          <peerid>beaf6a6d-3f74-4133-a87c-adce499397d6</peerid>
          <status>1</status>
          <port>49155</port>
          <ports>
            <tcp>49155</tcp>
            <rdma>N/A</rdma>
          </ports>
          <pid>3848</pid>
        </node>
        <node>
          <hostname>Self-heal Daemon</hostname>
          <path>localhost</path>
          <peerid>9ce4ed5f-1481-4207-a0fc-241d21c4c420</peerid>
          <status>1</status>
          <port>N/A</port>
          <ports>
            <tcp>N/A</tcp>
            <rdma>N/A</rdma>
          </ports>
          <pid>31197</pid>
        </node>
        <node>
          <hostname>Self-heal Daemon</hostname>
          <path>10.70.36.84</path>
          <peerid>beaf6a6d-3f74-4133-a87c-adce499397d6</peerid>
          <status>1</status>
          <port>N/A</port>
          <ports>
            <tcp>N/A</tcp>
            <rdma>N/A</rdma>
          </ports>
          <pid>2162</pid>
        </node>
        <node>
          <hostname>Self-heal Daemon</hostname>
          <path>10.70.36.83</path>
          <peerid>c17e556a-8daa-49fd-8326-b33fc587f177</peerid>
          <status>1</status>
          <port>N/A</port>
          <ports>
            <tcp>N/A</tcp>
            <rdma>N/A</rdma>
          </ports>
          <pid>7983</pid>
        </node>
        <tasks/>
      </volume>
    </volumes>
  </volStatus>
</cliOutput>

pid for the first brick shows -1.

Version-Release number of selected component (if applicable):
glusterfs-3.8.4-11.el7rhgs.x86_64

How reproducible:
hit it couple of times.

Steps to Reproduce:
1. Deploy HC stack on arbiter volumes.
2. Enable SSL on the setup
3. Reboot all the nodes.

Actual results:
Once the node comes up back i see that brick status for all the volume shows 'unknown'. When start force is performed on a volume event message says "could not start gluster volume" but all the brick status shows 'UP"

Expected results:
Brick status should be in sync with the cli. Just doing a force start of the volume should not just update the brick status as 'UP' even if the bricks are not actually UP.

Additional info:

Comment 1 RamaKasturi 2017-01-16 11:41:18 UTC
Ovirt version:
===================
ovirt-engine-4.1.0-0.3.beta2.el7.noarch

Comment 2 RamaKasturi 2017-01-16 11:41:42 UTC
Created attachment 1241177 [details]
screenshot for brick status

Comment 3 RamaKasturi 2017-01-16 11:49:18 UTC
sos reports can be found in the link below:
===========================================
http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/HC/1413551/

Comment 4 Sahina Bose 2017-01-23 09:32:39 UTC
Does the brick status revert to Unknown/Down after 5 minutes (default brick status sync interval)?

Comment 5 RamaKasturi 2017-01-25 06:41:17 UTC
sahina, this is little difficlut to reproduce as i am not sure when  brick status is shown as N/A in volume status even after the brick is started.

Brick status does not revert to Unknown/Down even after 5 minutes.

Comment 6 Michal Skrivanek 2020-03-19 15:41:06 UTC
We didn't get to this bug for more than 2 years, and it's not being considered for the upcoming 4.4. It's unlikely that it will ever be addressed so I'm suggesting to close it.
If you feel this needs to be addressed and want to work on it please remove cond nack and target accordingly.

Comment 7 Michal Skrivanek 2020-04-01 14:47:01 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.